API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Query Parameters
folder_id?string
asset_type?string
Value in
- "video"
- "audio"
- "image"
- "document"
- "all"
search?string
min_duration_seconds?number
Range
0 <= valueorientation?string
Value in
- "landscape"
- "portrait"
- "square"
limit?number
Range
1 <= value <= 100offset?number
Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/workspace/media/assets"{ "assets": [ { "id": "string", "name": "string", "assetType": "string", "folderId": "string", "thumbnailUrl": "string", "description": "string", "aiDescription": "string", "aiTags": [ "string" ], "aiMood": "string", "aiCameraMovement": "string", "importSource": "string", "fileSizeBytes": 0, "allowUsingAsBroll": true, "processingStatus": "string", "durationSeconds": 0, "dimensionsWidth": 0, "dimensionsHeight": 0, "orientation": "landscape", "createdAt": "string" } ], "items": [ { "id": "string", "name": "string", "assetType": "string", "folderId": "string", "thumbnailUrl": "string", "description": "string", "aiDescription": "string", "aiTags": [ "string" ], "aiMood": "string", "aiCameraMovement": "string", "importSource": "string", "fileSizeBytes": 0, "allowUsingAsBroll": true, "processingStatus": "string", "durationSeconds": 0, "dimensionsWidth": 0, "dimensionsHeight": 0, "orientation": "landscape", "createdAt": "string" } ], "count": 0, "totalCount": 0, "limit": 0, "offset": 0}